Subject: Edit & preview menu
Description

The Edit & Preview menu needs to be established in 1.0

The full version will later connect to a tabbed inspector to provide customization options of both the preview and edit modes.

To the right of Menu and Navigate, a third top-level menu must be included: "Edit & Preview"

The 2 parts (50% width each from far left to Inspector border) are labelled "Edit content" and "Preview central"

For the 1.0 release, the available items in the menu are:

EDIT MODES:
Frontend
Wireframe

PREVIEW SHORTCUTS:
Desktop
Tablet
Mobile

Background of the tab and menu area below: #141414

Associated revisions
Revision 42a1c7d4 - 2014-04-09 09:54 - Aske Ertmann

[FEATURE] Scrolling for multiple edit/preview modes

Integrate the "Sly" plugin to add smooth scrolling
behaviour inside the edit/preview panel.

The scrolling function is enabled as soon as the
width of all buttons exceeds the width of the edit or
preview panel.

Change-Id: I8b9f4639a21050b4ba87017ab4743c3d7c12c4d6
Related: #48240
Releases: 1.1, master
Reviewed-on: https://review.typo3.org/26649
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision f67324dc - 2014-04-09 12:10 - Aske Ertmann 

[BUGFIX] Edit/preview mode slider breaks without modes

Change-Id: I33fb7e175f13f38108f673185943a1d0bee29ebc
Related: #48240
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/29311
Reviewed-by: Adrian Föder
Tested-by: Adrian Föder
Reviewed-by: Aske Ertmann
Reviewed-by: Carsten Bleicker
Tested-by: Carsten Bleicker
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision c8d2d408 - 2014-04-10 19:43 - Aske Ertmann

[FEATURE] Scrolling for multiple edit/preview modes

Integrate the "Sly" plugin to add smooth scrolling
behaviour inside the edit/preview panel.

The scrolling function is enabled as soon as the
width of all buttons exceeds the width of the edit or
preview panel.

Change-Id: I8b9f4639a21050b4ba87017ab4743c3d7c12c4d6
Related: #48240
Releases: 1.1, master
Reviewed-on: https://review.typo3.org/29362
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

Revision 9036ba0c - 2014-04-10 19:43 - Aske Ertmann 

[BUGFIX] Edit/preview mode slider breaks without modes

Change-Id: I33fb7e175f13f38108f673185943a1d0bee29ebc
Related: #48240
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/29363
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-07-11 23:56 - Aske Ertmann
- Assigned To set to Rasmus Skjoldan
- Target version set to 1.1

#2 - 2013-10-02 16:42 - Rasmus Skjoldan
- File Screen_Shot_2013-10-02_at_12.10.58.png added
- Subject changed from View menu to Edit & preview menu

#3 - 2014-06-20 14:23 - Aske Ertmann
- Status changed from New to Resolved
- % Done changed from 0 to 100

Files
